# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tmatt_cms/version'

Gem::Specification.new do |spec|
  spec.name          = "tmatt_cms"
  spec.version       = TmattCms::VERSION
  spec.authors       = ["Xingyu Ye"]
  spec.email         = ["xingyu.ye@outlook.com"]

  spec.summary       = 'refine cms system based on pixelforce_cms'
  spec.description   = 'refine cms system based on pixelforce_cms, including bug fix, globalization and dashboard'
  spec.homepage      = 'http://rubygems.org/gems/tmatt_cms'
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org/'
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
